Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Processing/Modeller

Affected QGIS version:3.4.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28733

Description

I'm trying to use the model builder and include the new native "Reclassify by table" algorithm, but I can't get the option to fill in the table

that I want to reclassify after in Models.

It works fine if I just use the the algorithm in QGIS (so the workaround is to do this step outside the model).

Associated revisions

Revision eeff02fc - 2019-02-05 06:57 AM - Nyall Dawson

[processing] Port matrix widget wrapper to newer c++ API

Allows matrix parameters to be correctly set for model child algorithms

Fixes #20914

Revision d5900557 - 2019-02-07 03:53 AM - Nyall Dawson

[processing] Port matrix widget wrapper to newer c++ API

Allows matrix parameters to be correctly set for model child algorithms

Fixes #20914

(cherry picked from commit eeff02fc14b96a6d3f95ac2122d1d82654dcf268)

History

#1 - 2019-01-04 11:12 AM - Giovanni Manghi

- Operating System deleted (Windows x64)

- Subject changed from Reclassify by table in models to Reclassify by table do not work in Processing modeller

#2 - 2019-01-24 09:49 AM - Alexander Bruy

- Resolution set to invalid

- Status changed from Open to Rejected

You need to add a parameter for classes in the modeler and fill in it with your values. Then this parameter will be available for selection.
#3 - 2019-02-05 02:38 AM - Nyall Dawson

- Status changed from Rejected to Open

Reopening - it should be possible to set a fixed table for use in a child algorithm without exposing this table to users

#4 - 2019-02-05 05:36 AM - Nyall Dawson

- Assignee set to Nyall Dawson

#5 - 2019-02-05 06:56 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|eeff02fc14b96a6d3f95ac2122d1d82654dcf268.
